Bug 1551028 - various auto-egress IP problems
Summary: various auto-egress IP problems
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.7.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.10.0
Assignee: Dan Winship
QA Contact: Meng Bo
URL:
Whiteboard:
Depends On:
Blocks: 1553294 1553296 1553297
TreeView+ depends on / blocked
 
Reported: 2018-03-02 15:31 UTC by Dan Winship
Modified: 2018-07-30 19:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Bugs Consequence: When using the "static per-project egress IPs" feature, egress IPs may stop working in some circumstances if an egress IP is moved from one project to another, or from one node to another. Additionally, if the same egress IP is assigned to two different projects, or two different nodes, then it may not work correctly even after the duplicate assignment is removed. Fix: Bugs fixed Result: Static per-project egress IPs should work more reliably.
Clone Of:
: 1553294 1553296 1553297 (view as bug list)
Environment:
Last Closed: 2018-07-30 19:10:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1816 None None None 2018-07-30 19:10:30 UTC
Origin (Github) 18808 None None None 2018-03-02 16:52:26 UTC

Description Dan Winship 2018-03-02 15:31:55 UTC
Customer reported auto egress IP problems. Examination of logs and code reveals problems with (1) changing the EgressIP of a NetNamespace while its existing EgressIP is active, and (2) assigning duplicate EgressIPs to the same NetNamespaces or the same HostSubnets. Nodes will not always successfully recover from these situations (without being restarted) due to messed-up internal state

Comment 1 Dan Winship 2018-03-02 15:32:16 UTC
https://github.com/openshift/origin/pull/18808

Comment 4 Meng Bo 2018-05-17 09:28:28 UTC
Tested with 3.10.0-0.47.0

The egressIP works fine with the conditions in comment#0.

Comment 6 errata-xmlrpc 2018-07-30 19:10:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1816


Note You need to log in before you can comment on or make changes to this bug.